## net.i2p.client.streaming
Class SchedulerReceived

    java.lang.Object
      net.i2p.client.streaming.SchedulerImpl
          net.i2p.client.streaming.SchedulerReceived

All Implemented Interfaces:
  TaskScheduler

     class SchedulerReceived

extends SchedulerImpl

Scheduler used after receiving an inbound connection but before we have sent our own SYN.

Field Summary

Fields inherited from class net.i2p.client.streaming.SchedulerImpl
`_context`

Constructor Summary
`SchedulerReceived(I2PAppContext ctx)`

Method Summary
`boolean` `accept(Connection con)`
`void` `eventOccurred(Connection con)`

Methods inherited from class net.i2p.client.streaming.SchedulerImpl
`reschedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerReceived

    public SchedulerReceived(I2PAppContext ctx)

Method Detail

### accept

    public boolean accept(Connection con)

### eventOccurred

    public void eventOccurred(Connection con)